Bug 981951 - [rhevm] - Upgrade - Failed to upgrade 3.2 to 3.3 (cannot login & dwh cannot be started)
[rhevm] - Upgrade - Failed to upgrade 3.2 to 3.3 (cannot login & dwh cannot b...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Barak Dagan
integration
:
Depends On: 1015859
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-07-07 05:13 EDT by David Botzer
Modified: 2014-01-21 17:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:14:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgradeis4 (179.00 KB, application/x-gzip)
2013-07-07 05:13 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2013-07-07 05:13:43 EDT
Created attachment 769898 [details]
upgradeis4

Description of problem:
The Upgrade from 3.2 to 3.3 (LOCAL) fails 
dwh service is down and cannot be started
User cannot login in webadmin

Version-Release number of selected component (if applicable):
3.2/sf18.2
3.3/is4

How reproducible:
always

Steps to Reproduce:
1.install rhevm+reports+dwh 3.2
2.create some entities
3.upgrade to 3.3/is4 (engine-upgrade)

Actual results:
Fails on 
dwh service is down and cannot be started
User cannot login in webadmin

Expected results:
upgrade should complete successfuly,
All services should start correctly

Additional info:
-----------------------
/_But I fail to start dwh & reports portal is unavailable->_/
2013-07-03 16:09:47|ETL Service Started
2013-07-03 16:48:14|ETL Service Stopped
/usr/share/ovirt-engine-dwh/etl/history_service.sh: line 12: /bin/java: No such file or directory
/usr/share/ovirt-engine-dwh/etl/history_service.sh: line 12: exec: /bin/java: cannot execute: No such file or directory
----------------------

/_*Also, i cannot login to webadmin !!!*_/
2013-07-03 17:22:01,898 ERROR [org.ovirt.engine.core.bll.LoginAdminUserCommand] (ajp-/127.0.0.1:8702-1) USER_FAILED_TO_AUTHENTICATE : admin
2013-07-03 17:22:01,900 WARN  [org.ovirt.engine.core.bll.LoginAdminUserCommand] (ajp-/127.0.0.1:8702-1) CanDoAction of action LoginAdminUser failed. Reasons:USER_FAILED_TO_AUTHENTICATE
Comment 1 Alex Lourie 2013-09-01 11:53:48 EDT
Please verify with latest is.
Comment 3 Alex Lourie 2013-11-11 06:13:36 EST
Please reproduce with the last build.
Comment 4 Alex Lourie 2013-11-17 09:29:51 EST
Please reproduce.
Comment 5 Barak Dagan 2013-11-20 10:08:47 EST
Verified on IS23, rhevm-dwh-3.3.0-21.el6ev.noarch.

Several upgrades from 3.2 (SF21.1) to 3.3 performed successfully
Comment 8 Itamar Heim 2014-01-21 17:14:33 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:22:10 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.